/**
 * OW2 FraSCAti Examples: HelloWorld Property
 * Copyright (C) 2009-2010 INRIA, University of Lille 1
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org 
 *
 * Author: Nicolas Dolet
 * 
 * Contributor(s): Philippe Merle
 *
 */

package org.ow2.frascati.examples.helloworld.property;

import org.osoa.sca.annotations.Init;
import org.osoa.sca.annotations.Property;
import org.osoa.sca.annotations.Service;

@Service(interfaces={HelloProperty.class, Runnable.class})
public class PropertyImpl
  implements HelloProperty, Runnable
{
  @Property
  private String prop;

  @Init
  public final void init()
  {
    System.out.println("Initialize component with property: " + prop);
  }

  // --------------------------------------------------------------------------
  // Implementation of the HelloProperty interface
  // --------------------------------------------------------------------------

  public final String getProperty()
  {
    return prop;
  }

  // --------------------------------------------------------------------------
  // Implementation of the Runnable interface
  // --------------------------------------------------------------------------

  public final void run()
  {
    System.out.println("Running component with property: " + prop);
  }

}
